Bug 1126271 (CVE-2014-4274) - CVE-2014-4274 mysql: unspecified MyISAM temporary file issue fixed in 5.5.39 and 5.6.20
Summary: CVE-2014-4274 mysql: unspecified MyISAM temporary file issue fixed in 5.5.39 ...
Status: CLOSED ERRATA
Alias: CVE-2014-4274
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20140731,repor...
Keywords: Security
Depends On: 1126273 1126274 1160514 1160515 1160548 1160549 1160550 1160551 1160566 1162374 1162375
Blocks: 1153468 1165433
TreeView+ depends on / blocked
 
Reported: 2014-08-04 04:16 UTC by Murray McAllister
Modified: 2015-11-25 10:16 UTC (History)
9 users (show)

Fixed In Version: mysql 5.5.39, mysql 5.6.20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-12-17 06:02:48 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:1859 normal SHIPPED_LIVE Important: mysql55-mysql security update 2014-11-17 14:45:22 UTC
Red Hat Product Errata RHSA-2014:1860 normal SHIPPED_LIVE Important: mysql55-mysql security update 2014-11-17 14:56:12 UTC
Red Hat Product Errata RHSA-2014:1861 normal SHIPPED_LIVE Important: mariadb security update 2014-11-17 16:06:42 UTC
Red Hat Product Errata RHSA-2014:1862 normal SHIPPED_LIVE Important: mariadb55-mariadb security update 2014-11-17 14:56:02 UTC
Red Hat Product Errata RHSA-2014:1937 normal SHIPPED_LIVE Important: mariadb-galera security update 2014-12-02 21:48:44 UTC
Red Hat Product Errata RHSA-2014:1940 normal SHIPPED_LIVE Important: mariadb-galera security update 2014-12-02 21:59:47 UTC

Description Murray McAllister 2014-08-04 04:16:16 UTC
The MySQL 5.5.39 and 5.6.20 releases fix an unspecified MyISAM temporary file issue:

"MyISAM temporary files could be used to mount a code-execution attack. (Bug #18045646)"

References:

https://bugs.gentoo.org/show_bug.cgi?id=518718
http://dev.mysql.com/doc/relnotes/mysql/5.5/en/news-5-5-39.html
http://dev.mysql.com/doc/relnotes/mysql/5.6/en/news-5-6-20.html

Comment 1 Murray McAllister 2014-08-04 04:19:59 UTC
Created mariadb tracking bugs for this issue:

Affects: fedora-all [bug 1126274]

Comment 2 Murray McAllister 2014-08-04 04:20:04 UTC
Created community-mysql tracking bugs for this issue:

Affects: fedora-all [bug 1126273]

Comment 3 Tomas Hoger 2014-08-04 07:08:23 UTC
MySQL upstream commit:
http://bazaar.launchpad.net/~mysql/mysql-server/5.5/revision/4638

Comment 4 Fedora Update System 2014-09-10 13:30:27 UTC
mariadb-5.5.39-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2014-09-10 13:31:29 UTC
mariadb-5.5.39-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Murray McAllister 2014-09-11 03:07:15 UTC
Oracle assigned CVE-2014-4274 to this issue:

http://seclists.org/oss-sec/2014/q3/556

Comment 7 Huzaifa S. Sidhpurwala 2014-11-05 08:24:58 UTC
The following issue has been fixed in MySQL:

"Vulnerability in the MySQL Server component of Oracle MySQL (subcomponent: SERVER:MyISAM). Supported versions that are affected are 5.5.38 and earlier and 5.6.19 and earlier. Difficult to exploit vulnerability requiring logon to Operating System plus additional login/authentication to component or subcomponent. Successful attack of this vulnerability can escalate attacker privileges resulting in unauthorized takeover of MySQL Server possibly including arbitrary code execution within the MySQL Server."

References:
http://www.oracle.com/technetwork/topics/security/cpuoct2014-1972960.html

Comment 10 errata-xmlrpc 2014-11-17 09:45:54 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 5

Via RHSA-2014:1859 https://rhn.redhat.com/errata/RHSA-2014-1859.html

Comment 11 errata-xmlrpc 2014-11-17 09:56:35 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections 1 for Red Hat Enterprise Linux 7
  Red Hat Software Collections 1 for Red Hat Enterprise Linux 6.5 EUS
  Red Hat Software Collections 1 for Red Hat Enterprise Linux 6.6 EUS
  Red Hat Software Collections 1 for Red Hat Enterprise Linux 6
  Red Hat Software Collections 1 for Red Hat Enterprise Linux 6.4 EUS

Via RHSA-2014:1862 https://rhn.redhat.com/errata/RHSA-2014-1862.html

Comment 12 errata-xmlrpc 2014-11-17 09:57:53 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections 1 for Red Hat Enterprise Linux 7
  Red Hat Software Collections 1 for Red Hat Enterprise Linux 6.5 EUS
  Red Hat Software Collections 1 for Red Hat Enterprise Linux 6.6 EUS
  Red Hat Software Collections 1 for Red Hat Enterprise Linux 6
  Red Hat Software Collections 1 for Red Hat Enterprise Linux 6.4 EUS

Via RHSA-2014:1860 https://rhn.redhat.com/errata/RHSA-2014-1860.html

Comment 13 errata-xmlrpc 2014-11-17 11:07:08 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2014:1861 https://rhn.redhat.com/errata/RHSA-2014-1861.html

Comment 14 errata-xmlrpc 2014-12-02 16:49:21 UTC
This issue has been addressed in the following products:

  OpenStack 5 for RHEL 6

Via RHSA-2014:1937 https://rhn.redhat.com/errata/RHSA-2014-1937.html

Comment 15 errata-xmlrpc 2014-12-02 17:01:40 UTC
This issue has been addressed in the following products:

  OpenStack 5 for RHEL 7

Via RHSA-2014:1940 https://rhn.redhat.com/errata/RHSA-2014-1940.html

Comment 16 Fedora Update System 2014-12-03 01:02:06 UTC
mariadb-galera-5.5.40-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.